NPM-SHRINKWRAP(1)

NAME
npm-shrinkwrap - Lock down dependency versions for publication

SYNOPSIS

    npm shrinkwrap

DESCRIPTION

This command repurposes package-lock.json into a publishable npm-shrinkwrap.json or simply creates a new one. The file created and updated by this command will then take precedence over any other existing or future package-lock.json files. For a detailed explanation of the design and purpose of package locks in npm, see npm help 5 package-locks.

SEE ALSO

    •   npm help install

    •   npm help run-script

    •   npm help 7 scripts

    •   npm help 5 package.json

    •   npm help 5 package-locks

    •   npm help 5 package-lock.json

    •   npm help 5 shrinkwrap.json

    •   npm help ls